Package picard.analysis

# Class AlignmentSummaryMetricsCollector.IndividualAlignmentSummaryMetricsCollector

java.lang.Object
picard.analysis.AlignmentSummaryMetricsCollector.IndividualAlignmentSummaryMetricsCollector

All Implemented Interfaces:
  `PerUnitMetricCollector<AlignmentSummaryMetrics,Integer,SAMRecordAndReference>`

Enclosing class:
  `AlignmentSummaryMetricsCollector`

public class AlignmentSummaryMetricsCollector.IndividualAlignmentSummaryMetricsCollector extends Object implements PerUnitMetricCollector<AlignmentSummaryMetrics,Integer,SAMRecordAndReference>
Class that counts reads that match various conditions

## Constructor Summary

Constructors
Constructor
Description
`IndividualAlignmentSummaryMetricsCollector(AlignmentSummaryMetrics.Category pairingCategory, String sample, String library, String readGroup)`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptRecord(SAMRecordAndReference samRecordAndReference)`
Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)
`void`
`addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<AlignmentSummaryMetrics,Integer> file)`
Any metrics collected will be added to the metric file provided.
`void`
`finish()`
When all records have been collected, compute any final values needed to finish constructing metrics/Histogram
`htsjdk.samtools.util.Histogram<Integer>`
`getAlignedReadHistogram()`
`AlignmentSummaryMetrics`
`getMetrics()`
`htsjdk.samtools.util.Histogram<Integer>`
`getReadHistogram()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndividualAlignmentSummaryMetricsCollector

public IndividualAlignmentSummaryMetricsCollector(AlignmentSummaryMetrics.Category pairingCategory, String sample, String library, String readGroup)

## Method Details

### acceptRecord

public void acceptRecord(SAMRecordAndReference samRecordAndReference)
Description copied from interface: `PerUnitMetricCollector`
Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)

Specified by:
  `acceptRecord` in interface `PerUnitMetricCollector<AlignmentSummaryMetrics,Integer,SAMRecordAndReference>`
Parameters:
  `samRecordAndReference` - Contains SAMRecord, SAMReadGroupRecord, ReferenceSequence of current record and any previously computed values that might be needed for this class

### finish

public void finish()
Description copied from interface: `PerUnitMetricCollector`
When all records have been collected, compute any final values needed to finish constructing metrics/Histogram

Specified by:
  `finish` in interface `PerUnitMetricCollector<AlignmentSummaryMetrics,Integer,SAMRecordAndReference>`

### addMetricsToFile

public void addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<AlignmentSummaryMetrics,Integer> file)
Description copied from interface: `PerUnitMetricCollector`
Any metrics collected will be added to the metric file provided.

Specified by:
  `addMetricsToFile` in interface `PerUnitMetricCollector<AlignmentSummaryMetrics,Integer,SAMRecordAndReference>`
Parameters:
  `file` - MetricsFile to which all metrics created by this collector should be added

### getMetrics

public AlignmentSummaryMetrics getMetrics()

### getReadHistogram

public htsjdk.samtools.util.Histogram<Integer> getReadHistogram()

### getAlignedReadHistogram

public htsjdk.samtools.util.Histogram<Integer> getAlignedReadHistogram()